RichB2u2
Hot Shot
Hot Shot

APNS For Apps Renewal Script

Jump to solution

Where is the current APNS Renewal script for MDM Apps (not the top MDM certificate)? The ones at Devices & Users / Apple / Apple iOS / APNs for Applications. I was notified they all will expire within 30 days and the only one we are using is Intelligent Hub for troubleshooting. There’s a script for 2018, referenced in the 1907 KB: https://kb.vmware.com/s/article/2961649

Labels (1)
1 Solution

Accepted Solutions
JEREMIECONREY
Contributor
Contributor
I got a reply today that the script is now available. I have not ran it yet but below is the link they sent over.
https://resources.workspaceone.com/view/clvzq5jfhk8h3cx47z2h/

View solution in original post

0 Kudos
20 Replies
PMDelvTreasury
Contributor
Contributor
I just ran the script on my database, and I am still getting the notifications that those apps are going to expire. Looks like VMware might have to make a new one for 2019.
0 Kudos
BethC
Enthusiast
Enthusiast
If your console is on-prem, I would reach out to VMware because that's not helpful at all.

Action Required -     SaaS (Shared and Dedicated) Environments: No action is needed; The VMware Workspace ONE SaaS operations team will be renewing the certificates.         On-Premises Environments: Customers need to run the APNs for applications renewal script (available here) on the Workspace ONE UEM Database.   (scripts here: https://resources.workspaceone.com/view/clvzq5jfhk8h3cx47z2h)
0 Kudos
JamieAndersonJa
Enthusiast
Enthusiast
The current script is for console versions 9.1, 9.2, 9.3, 9.4, 9.5, 9.6, 9.7, and 1810 environments. We have to wait for them to update it for the later versions.
0 Kudos
JohnCharette
Contributor
Contributor
I'm having the same problem.  I just received the notification, ran the above script and it didn't update the expiry date.  28 days remaining.
0 Kudos
MATTHEWWILLIAM1
Contributor
Contributor
I am also having the same problem. I also noticed the newer console versions are not yet supported by the old script.
0 Kudos
JEREMIECONREY
Contributor
Contributor
Same reaching out to see if a updated script is available
0 Kudos
LukeDC
Expert
Expert
A new script will be out soon. Typically within 30 days of expiration. The old script won’t help since it contains the expiring certificate in it.
0 Kudos
JEREMIECONREY
Contributor
Contributor
From a tix i placed this AM:
' Thank you for contacting Workspace ONE Support and Account Services. Our teams are working as quickly as possible to make the 2019 APNs for Application script available. At this time we have been informed that it should be available think week as early as tomorrow.

I will provide an update as soon as it is made available.

Regards,
Aimee Goncalves '
0 Kudos
ChristophBaecke
Contributor
Contributor
Thank you for letting is know Jeremie!
0 Kudos
LukeDC
Expert
Expert
They have to wait a bit in order to keep the renewal times approximately the same each year. The expiration is 1 year from cert generation. So if they do it early every year it will move back a month or so every year.
0 Kudos
JEREMIECONREY
Contributor
Contributor
I got a reply today that the script is now available. I have not ran it yet but below is the link they sent over.
https://resources.workspaceone.com/view/clvzq5jfhk8h3cx47z2h/

View solution in original post

0 Kudos
PMDelvTreasury
Contributor
Contributor
Just ran the new script, and now the apps have 375 days ??.
0 Kudos
JohnCharette
Contributor
Contributor
Ran the script as well.  Worked perfectly.
Thank you very much everyone!
0 Kudos
DanielConner
Contributor
Contributor
Ran the script, worked as well. Thanks!
0 Kudos
ahumbert
Contributor
Contributor
Hello,
I tried to run it buts its failling with these erros message :

Msg 2715, Level 16, State 3, Line 137
Column, parameter, or variable #3: Cannot find data type EncryptedSeedData_DataType.
Parameter or variable '@PrimaryKeyValue' has an invalid data type.
Msg 2715, Level 16, State 3, Line 261
Column, parameter, or variable #3: Cannot find data type EncryptedSeedData_DataType.
Parameter or variable '@PrimaryKeyValue' has an invalid data type.
Msg 2715, Level 16, State 3, Line 147
Column, parameter, or variable #3: Cannot find data type EncryptedSeedData_DataType.
Parameter or variable '@PrimaryKeyValue' has an invalid data type.
Msg 2715, Level 16, State 3, Line 164
Column, parameter, or variable #3: Cannot find data type EncryptedSeedData_DataType.
Parameter or variable '@PrimaryKeyValue' has an invalid data type.
Msg 2715, Level 16, State 3, Line 171
Column, parameter, or variable #3: Cannot find data type EncryptedSeedData_DataType.
Parameter or variable '@PrimaryKeyValue' has an invalid data type.
Msg 208, Level 16, State 1, Line 10
Invalid object name 'PickList'.
Msg 2715, Level 16, State 3, Line 171
Column, parameter, or variable #3: Cannot find data type EncryptedSeedData_DataType.
Parameter or variable '@PrimaryKeyValue' has an invalid data type.
Msg 2715, Level 16, State 3, Line 147
Column, parameter, or variable #3: Cannot find data type EncryptedSeedData_DataType.
Parameter or variable '@PrimaryKeyValue' has an invalid data type.
Msg 208, Level 16, State 1, Line 6
Invalid object name 'PickList'.
0 Kudos
JamieAndersonJa
Enthusiast
Enthusiast
It seems like your either applying the script to the wrong DB or the DB account your using does not have the correct permissions
0 Kudos
JEREMIECONREY
Contributor
Contributor
I ran mine today and also worked as expected. APNs for Application renewal - for On Premise Environments (50121242)
🙂
0 Kudos
ThSchaller
Contributor
Contributor
0 Kudos
ahumbert
Contributor
Contributor
I've installed the latest patch 19.7.0.17 (I was in 19.7.0.16). After that, the seed script was successfully installed.
0 Kudos